org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPEnumScope

All Superinterfaces:
  ICPPScope, IScope

    public interface ICPPEnumScope
    extends ICPPScope

Interface for enumeration scopes.

Since:
  5.7
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`IScope.ScopeLookupData`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPEnumeration` `getEnumerationType()` Returns the binding for the enumeration this scope is associated with.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`find, find, getBinding, getBinding, getBindings, getBindings, getBindings, getKind, getParent, getScopeName`

### Method Detail

#### getEnumerationType

    ICPPEnumeration getEnumerationType()

Returns the binding for the enumeration this scope is associated with.